﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CarouselSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ViewModel view; 
        public MainWindow()
        {
            InitializeComponent();
            view = new ViewModel();
            Carousel.DataContext = view;
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Carousel.SelectedIndexChanged += Carousel_OnSelectedIndexChanged;
        }

        private void Carousel_OnSelectedIndexChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            Carousel.SelectedIndexChanged -= Carousel_OnSelectedIndexChanged;
            view.AdjustCollection(Carousel);
            Carousel.SelectedIndexChanged += Carousel_OnSelectedIndexChanged;
        }
    }
}
