﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Shared;
using System.Windows.Threading;

namespace CarouselSample
{
    public class ViewModel
    {
        private ObservableCollection<Model> coll;

        public ObservableCollection<Model> Coll
        {
            get { return coll; }
            set { coll = value; }
        }
        System.Timers.Timer timer = new System.Timers.Timer(500);
        Carousel carousel;
        

        public ViewModel()
        {
            Coll = new ObservableCollection<Model>();
            for (int iCount = 1; iCount <= 24; iCount++)
            {
                if (iCount == 10)
                    continue;
                coll.Add(new Model() { ImagePath = "Images/" + iCount + ".jpg" });
            }
        }

        internal void AdjustCollection(Carousel Carousel)
        {
            carousel = Carousel;
            int center_index = Coll.Count / 2 + 1;
            int selected_index = Carousel.SelectedIndex;
            if (selected_index > center_index)
            {
                while(selected_index != center_index)
                {
                    Coll.Move(0,Coll.Count-1);
                    selected_index--;
                }
            }
            else
            {
                while (selected_index != center_index)
                {
                    Coll.Move(Coll.Count-1,0);
                    selected_index++;
                }
            }
            timer.Start();
        }
    }
}
